import * as react_jsx_runtime from 'react/jsx-runtime';

interface Props {
    /**
    * Array of text.
    */
    text: string[];
    /**
     * Initial color of the text before fill.
     */
    textColor?: string;
    /**
     * Color which is going to fill the character while scroll
     */
    fillColor?: string;
    /**
     * Speed to fill/show the text (default 100 means 100%)
     */
    fillSpeed?: number;
    /**
     * Delay to fill/show the text (default 3.5, give more than 1)
     */
    fillDelay?: number;
    /**
     * Direction to fill/show the text
     */
    fillDirection?: 'left-right' | 'top-bottom' | 'slant-top-bottom' | 'slant-bottom-top';
}
declare const TextReveal: ({ text, textColor, fillColor, fillSpeed, fillDelay, fillDirection }: Props) => react_jsx_runtime.JSX.Element;

export { TextReveal as default };
